Name: gnome-doc-utils
Version: 0.4.3
Release: alt0.M30.1.1

Summary: Documentation utilities for GNOME
Group: Development/Other
License: LGPL

%define python_version 2.4
%define libxml_version 2.6.12
%define libxslt_version 1.1.8

Requires: python = %__python_version
Requires: libxml2 >= %libxml_version

Source: %name-%version.tar.bz2

%add_python_compile_include %_datadir/xml2po

BuildArch: noarch

BuildPreReq: rpm-build-python

BuildRequires: common-licenses docbook-dtds libgpg-error libxml2-devel libxslt-devel perl-XML-Parser pkg-config python-base python-dev python-modules-compiler python-modules-encodings xml-common xml-utils xsltproc

BuildRequires: python-devel >= %python_version
BuildRequires: libxml2-devel >= %libxml_version
BuildRequires: libxslt-devel >= %libxslt_version

%description
gnome-doc-utils is a collection of documentation utilities for the Gnome
project. It contains the DocBook XSLT stylesheets that were once
distributed with Yelp.

%prep
%setup -q
%__rm -f COPYING
%__ln_s %_licensedir/LGPL-2.1 COPYING

%build
%configure --disable-scrollkeeper
%make_build

%install
%__mkdir_p %buildroot
%make_install DESTDIR=%buildroot pkgconfigdir=%_datadir/pkgconfig install
%find_lang --with-gnome --output=%name.lang gnome-doc-make gnome-doc-xslt

%post
%update_scrollkeeper

%postun
%clean_scrollkeeper

%files -f %name.lang
%doc AUTHORS README NEWS
%doc --no-dereference COPYING
%_bindir/*
%_datadir/pkgconfig/*
%_datadir/xml/gnome
%_datadir/aclocal/*
%_datadir/xml2po
%_datadir/%name
%_man1dir/*

%changelog
* Sun Feb 26 2006 Yuri N. Sedunov <aris@altlinux.ru> 0.4.3-alt0.M30.1.1
- backport to Compact 3.0

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.3-alt1.1
- Rebuilt for new pkg-config dependencies.

* Wed Oct 19 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.4.3-alt1
- 0.4.3

* Sat Sep 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.4.1-alt1
- Updated to 0.4.1
- Install the .pc file into architecture-neutral /usr/share/pkgconfig

* Tue Aug 30 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.3-alt1
- Updated to 0.3.3

* Thu Apr 07 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.0-alt1
- New upstream release

* Sun Mar 13 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.3-alt2
- Rebuilt with Python 2.4

* Wed Mar 09 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.3-alt1
- Updated to the latest upstream release

* Mon Jan 03 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.1-alt2
- Build requires rpm-build-python
- Require python 2.3 for correct generation of dependencies
- Added /usr/share/xml2po to python compile path

* Mon Jan 03 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.1-alt1
- Initial release for Sisyphus
